Home / ASSP V2 multithreading / razor2_for_assp
Name Modified Size Downloads / Week Status
Parent folder
Totals: 7 Items   517.5 kB 7
razor-agents.ppd 2012-12-27 981 Bytes 11 weekly downloads
razor-agents_516.tar.gz 2012-12-27 64.3 kB 11 weekly downloads
razor-agents_512.tar.gz 2011-07-04 147.4 kB 11 weekly downloads
razor-agents_514.tar.gz 2011-07-03 99.1 kB 11 weekly downloads
razor_how_to_install.txt 2010-11-19 324 Bytes 11 weekly downloads
razor-agents_510.tar.gz 2010-09-26 100.7 kB 11 weekly downloads
razor-agents.src.tar.gz 2010-09-26 104.7 kB 11 weekly downloads
Hi all, with the next release, there is no longer any garantie that assp.pl will run under Perl 5.8.8 on darwin. I'll do my best to keep assp.pl working on 5.8.8 to the end of this year - but who knows? Anyone who is using Perl 5.8.8 should switch off the autoupdate feature - do manual upgrades and check the compatibility of assp.pl to Perl 5.8.8 using the command >perl -c assp.pl At the begin of the year 2012, the development of V2 will be switched to Perl 5.14 . From this point, assp will be incompatible to Perl 5.8.8 and will not start on that Perl version! At the begin of the year 2012, the version numbering of V2 will be changed - all assp versions before 2.0.2_3.3.01 and 2.0.1_3.3.01 will possibly not make any autoupdate after 2011/12/31! The new version numbering will be: FAMILY.MAJOR.MINOR_BUILD[.PATCH] where the BUILD number is build from the two digit year and the three digit day of the year. If there are more than one patches available for one day, a dot + PATCH number with one or two digits will be appended. The MINOR number indicates: odd - production version , even - development version The version number for today (2011/21/07) would be : dev - 2.0.2_11202 and prod - 2.0.1_11202 Perl 5.10.0 will be supported at least 5.10.1 is recommended, it contains several bugfixes implemented from 5.12. Because 'ActivePerl 5.10.x' is no longer available for free, windows users should switch to Perl 5.12 and/or use 'strawberry Perl' - assp is running fine on 'strawberry Perl'. IMHO all needed modules are available for all operating systems for Perl 5.12 and Perl 5.14. The upgrade to Perl 5.012.004 (5.12.4 on windows 32bit) has shown a reduction of the memory usage of assp by 25%. ASSP is running faster with this perl version. All known UNICODE mistakes are gone with this perl version and some fixes in assp (double byte charsets like GB2312.... => crash). The use of the AsspSelfLoader.pm version 2.03 is no longer a problem with Perl 5.12 . Thomas
Source: README.txt, updated 2011-12-11